
Application: gvSIG desktop - gvSIG bugs #5213
Error al añadir área y perímetro
03/26/2020 01:26 PM - Álvaro Anguix

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: Francisco Díaz Carsí
Category: Document table
Target version: 2.6.0-3233
Severity: Minor Add-on version:
gvSIG version: 2.5.1 Add-on build:
gvSIG build: 3037 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Tengo una capa, abro su tabla y ejecuto las dos ordenes del menú Tabla/Añadir medición/Área y Perímetro.
La tabla no cierra la edición como debería hacer al finalizar de añadir el campo área y el campo perímetro (aparentemente bien
calculados)
Al intentar "Terminar la edición" bien desde el documento Tabla, bien desde la Vista da error y permanece abierta.
Adjunto log y capa de prueba

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 5331: Error en la herram... Closed 07/13/2020

Associated revisions
Revision 44867 - 04/05/2020 08:05 PM - Óscar Martínez

refs #5213 corregida creación del campo double para almacenar el area

Revision 44868 - 04/05/2020 08:07 PM - Óscar Martínez

refs #5213 corregida creación del campo double para almacenar X e Y

Revision 44869 - 04/05/2020 08:19 PM - Óscar Martínez

refs #5213 nombre del paquete

Revision 45897 - 09/02/2021 10:41 AM - Francisco Díaz Carsí

refs #5213 Fixed FieldFormatter

History
#1 - 03/26/2020 01:56 PM - Joaquín  del Cerro Murciano
- Priority changed from Normal to Urgent

#2 - 03/26/2020 01:56 PM - Joaquín  del Cerro Murciano
- Assignee set to Óscar Martínez

#3 - 04/05/2020 08:07 PM - Óscar Martínez
- Status changed from New to Fixed

Corregido al añadir el area, perímetro y X e Y.

#4 - 04/07/2020 05:05 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3044 to 2.5.1-3014

#5 - 04/10/2020 12:12 PM - Álvaro Anguix
- Status changed from Fixed to Closed

#6 - 09/30/2020 02:04 PM - Mario Carrera
- gvSIG build set to 3037
- Target version changed from 2.5.1-3014 to 2.5.1-3042-RC2
- Status changed from Closed to New
- File gvSIG_log_nuevo.zip added
- File Barrios_Malaga.zip added

Reabro este ticket. Vuelve a ocurrir en el BN 3037 sobre la capa Barrios_Malaga adjunta.

Adjunto también el log (gvSIG_log_nuevo.zip).

Antes no ocurría porque es la capa del ejercicio final del curso de Gestión municipal que están haciendo muchos usuarios.

Nota: He editado la capa, he eliminado los polígonos grandes (que son polígonos con huecos) y he terminado edición. He ejecutado de nuevo la
herramienta de Añadir área y se ha añadido correctamente. Parece que ocurre cuando tiene polígonos isla.

#7 - 09/30/2020 02:05 PM - Álvaro Anguix
- Target version changed from 2.5.1-3042-RC2 to 2.6.1-final

#8 - 09/30/2020 02:07 PM - Álvaro Anguix
- Related to gvSIG bugs #5331: Error en la herramienta "Añadir medición" - "Área" added

#9 - 09/30/2020 03:09 PM - Álvaro Anguix
- Category set to Document table

#10 - 09/02/2021 10:42 AM - Francisco Díaz Carsí
- Target version changed from 2.6.1-final to 2.6.0-3233
- Assignee changed from Óscar Martínez to Francisco Díaz Carsí
- Status changed from New to Fixed

#11 - 08/03/2023 02:17 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
cv.zip 1.82 MB 03/26/2020 Álvaro Anguix
gvSIG.log 194 KB 03/26/2020 Álvaro Anguix
gvSIG.log.1 512 KB 03/26/2020 Álvaro Anguix
gvSIG.log.2 512 KB 03/26/2020 Álvaro Anguix
gvSIG.log.3 512 KB 03/26/2020 Álvaro Anguix
Barrios_Malaga.zip 658 KB 09/30/2020 Mario Carrera
gvSIG_log_nuevo.zip 49.4 KB 09/30/2020 Mario Carrera
